{ inputs, lib, config, modulesPath, ... }:
let
  cfg = config.services.vm;
in
{
  options.services.ct = {
    enable = lib.mkEnableOption "Enable LXC container config";
  };
  config = lib.mkIf cfg.enable {

    imports = [ (modulesPath + "/virtualisation/proxmox-lxc.nix") ];
    systemd.suppressedSystemUnits = [
      "dev-mqueue.mount"
      "sys-kernel-debug.mount"
      "sys-fs-fuse-connections.mount"
    ];

  };
}
